Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 24 Jun 2021 18:54:30 +1000

Hi all,

On Thu, 24 Jun 2021 11:43:14 +0530 Naresh Kamboju <[email-masked]> wrote:
>
> On Thu, 24 Jun 2021 at 07:59, Nathan Chancellor <[email-masked]> wrote:
> >
> > On Thu, Jun 24, 2021 at 12:46:48AM +0200, Marcin Wojtas wrote:  
> > > Hi Stephen,
> > >
> > > czw., 24 cze 2021 o 00:29 Stephen Rothwell <[email-masked]> napisał(a):  
> > > >
> > > > Hi all,
> > > >
> > > > Today's linux-next build (x86_64 modules_install) failed like this:
> > > >
> > > > depmod: ../tools/depmod.c:1792: depmod_report_cycles_from_root: Assertion `is < stack_size' failed.  
> 
> LKFT test farm found this build error.
> 
> Regressions found on mips:
> 
>  - build/gcc-9-malta_defconfig
>  - build/gcc-10-malta_defconfig
>  - build/gcc-8-malta_defconfig
> 
> depmod: ERROR: Cycle detected: fwnode_mdio -> of_mdio -> fwnode_mdio
> depmod: ERROR: Found 2 modules in dependency cycles!
> make[1]: *** [/builds/linux/Makefile:1875: modules_install] Error 1
> 
> > > Thank you for letting us know. Not sure if related, but I just found
> > > out that this code won't compile for the !CONFIG_FWNODE_MDIO. Below
> > > one-liner fixes it:
> > >
> > > --- a/include/linux/fwnode_mdio.h
> > > +++ b/include/linux/fwnode_mdio.h
> > > @@ -40,7 +40,7 @@ static inline int fwnode_mdiobus_register(struct mii_bus *bus,
> > >          * This way, we don't have to keep compat bits around in drivers.
> > >          */
> > >
> > > -       return mdiobus_register(mdio);
> > > +       return mdiobus_register(bus);
> > >  }
> > >  #endif
> > >
> > > I'm curious if this is the case. Tomorrow I'll resubmit with above, so
> > > I'd appreciate recheck.  
> 
> This proposed fix did not work.
> 
> > Reverting all the patches in that series fixes the issue for me.  
> 
> Yes.
> Reverting all the (6) patches in that series fixed this build problem.
> 
> git log --oneline | head
> 3752a7bfe73e Revert "Documentation: ACPI: DSD: describe additional MAC
> configuration"
> da53528ed548 Revert "net: mdiobus: Introduce fwnode_mdbiobus_register()"
> 479b72ae8b68 Revert "net/fsl: switch to fwnode_mdiobus_register"
> 92f85677aff4 Revert "net: mvmdio: add ACPI support"
> 3d725ff0f271 Revert "net: mvpp2: enable using phylink with ACPI"
> ffa8c267d44e Revert "net: mvpp2: remove unused 'has_phy' field"
> d61c8b66c840 Add linux-next specific files for 20210623

So I have reverted the merge of that topic branch from linux-next for
today.
-- 
Cheers,
Stephen Rothwell